# berkdb dbrename

`

###

    berkdb rename
    	[-env env]
    	[--]
    	file
    	[database
    	newname]

# Description

Renames the Berkeley DB database specified by the database name file and [database] name arguments to the new name given. If no database is specified, the physical file represented by file is renamed.

No reference count of database use is maintained by Berkeley DB. Applications should not rename databases that are currently in use.

The options are as follows:

-env env
  If a -env argument is given, the database in the specified Berkeley DB environment is renamed.

--
  Mark the end of the command arguments.

The berkdb dbrename command returns 0 on success, and in the case of error, a Tcl error is thrown.

`

Copyright Sleepycat Software